Beneficiaries
List beneficiaries
List beneficiaries for an account, optionally filtered by type. Returns crypto and bank beneficiaries in a single flat list.
GET
/
v1
/
beneficiaries
cURL
curl --request GET \
--url https://api.nxos.io/v1/beneficiaries \
--header 'Authorization: <authorization>'import requests
url = "https://api.nxos.io/v1/beneficiaries"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.nxos.io/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "beneficiary",
"beneficiaryId": "bene_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"accountId": "acct_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"type": "CRYPTO",
"nickname": "Treasury Wallet",
"status": "ACTIVE",
"entityType": "INDIVIDUAL",
"email": "[email protected]",
"phoneNumber": null,
"firstName": "John",
"lastName": "Doe",
"businessName": null,
"country": "US",
"addressLine1": null,
"addressLine2": null,
"city": null,
"region": null,
"zipCode": null,
"crypto": {
"chainName": "ethereum",
"chainDisplayName": "Ethereum",
"platform": "EVM",
"address": "0x1234567890abcdef1234567890abcdef12345678"
},
"bank": null,
"nxosnet": null,
"createdAt": "2025-03-10T12:00:00.000Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "The request body is malformed or missing required fields.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "missing_api_key",
"message": "No Authorization header provided.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded: 1000 requests per minute. Retry in 23 seconds.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected server error occurred.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}Headers
Bearer token. Format: Bearer <api_key>
Query Parameters
Account to list beneficiaries for.
Filter by beneficiary type. Beneficiary type.
Available options:
CRYPTO, BANK, NXOSNET Maximum number of items to return. Defaults to 25, max 100.
Cursor for the next page of results, returned in previous responses.
Response
The request has succeeded.
Paginated list envelope. All list endpoints return this shape.
Object type. Always list for paginated responses.
Available options:
list Array of results.
Show child attributes
Show child attributes
Whether more results are available beyond this page.
Cursor to pass as cursor query parameter for the next page. Null when there are no more results.
⌘I
cURL
